Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1513140 - [abrt] xorg-x11-server-Xwayland: xwl_read_events(): Xwayland killed by SIGABRT
Summary: [abrt] xorg-x11-server-Xwayland: xwl_read_events(): Xwayland killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: mutter
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Florian Müllner
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:17c2b611b4c771b2d1160cbbc46...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-14 19:46 UTC by Niki Guldbrand
Modified: 2018-11-30 20:29 UTC (History)
22 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 20:29:40 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2017-11-14 19:46 UTC, Niki Guldbrand
no flags Details
File: cgroup (deleted)
2017-11-14 19:46 UTC, Niki Guldbrand
no flags Details
File: core_backtrace (deleted)
2017-11-14 19:46 UTC, Niki Guldbrand
no flags Details
File: cpuinfo (deleted)
2017-11-14 19:46 UTC, Niki Guldbrand
no flags Details
File: dso_list (deleted)
2017-11-14 19:46 UTC, Niki Guldbrand
no flags Details
File: environ (deleted)
2017-11-14 19:46 UTC, Niki Guldbrand
no flags Details
File: limits (deleted)
2017-11-14 19:46 UTC, Niki Guldbrand
no flags Details
File: maps (deleted)
2017-11-14 19:46 UTC, Niki Guldbrand
no flags Details
File: mountinfo (deleted)
2017-11-14 19:46 UTC, Niki Guldbrand
no flags Details
File: open_fds (deleted)
2017-11-14 19:47 UTC, Niki Guldbrand
no flags Details
File: proc_pid_status (deleted)
2017-11-14 19:47 UTC, Niki Guldbrand
no flags Details
File: backtrace (deleted)
2017-12-11 19:47 UTC, Ioan Rogers
no flags Details
gnome-shell backtrace (deleted)
2018-01-12 14:14 UTC, Niki Guldbrand
no flags Details

Description Niki Guldbrand 2017-11-14 19:46:35 UTC
Description of problem:
Was away from the computer when this crash happen, but I was running Gnome, and had not locked the session

Version-Release number of selected component:
xorg-x11-server-Xwayland-1.19.5-1.fc27

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 3
cmdline:        /usr/bin/Xwayland :0 -rootless -terminate -core -listen 4 -listen 5 -displayfd 6
crash_function: xwl_read_events
executable:     /usr/bin/Xwayland
journald_cursor: s=66478112e7904a5b9adefe515c0b242b;i=1766a;b=2ce18a2852fe4fb99bb979d1570c32df;m=778db7b69;t=55df3a68400c0;x=97e9f9b946e0a10c
kernel:         4.13.11-300.fc27.x86_64
machineid:      systemd=092b753c6a7e448686e037395a7f8228
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Potential duplicate: bug 1511681

Comment 1 Niki Guldbrand 2017-11-14 19:46:43 UTC
Created attachment 1352127 [details]
File: backtrace

Comment 2 Niki Guldbrand 2017-11-14 19:46:45 UTC
Created attachment 1352128 [details]
File: cgroup

Comment 3 Niki Guldbrand 2017-11-14 19:46:47 UTC
Created attachment 1352129 [details]
File: core_backtrace

Comment 4 Niki Guldbrand 2017-11-14 19:46:49 UTC
Created attachment 1352130 [details]
File: cpuinfo

Comment 5 Niki Guldbrand 2017-11-14 19:46:51 UTC
Created attachment 1352131 [details]
File: dso_list

Comment 6 Niki Guldbrand 2017-11-14 19:46:53 UTC
Created attachment 1352132 [details]
File: environ

Comment 7 Niki Guldbrand 2017-11-14 19:46:55 UTC
Created attachment 1352133 [details]
File: limits

Comment 8 Niki Guldbrand 2017-11-14 19:46:57 UTC
Created attachment 1352134 [details]
File: maps

Comment 9 Niki Guldbrand 2017-11-14 19:46:59 UTC
Created attachment 1352135 [details]
File: mountinfo

Comment 10 Niki Guldbrand 2017-11-14 19:47:01 UTC
Created attachment 1352136 [details]
File: open_fds

Comment 11 Niki Guldbrand 2017-11-14 19:47:03 UTC
Created attachment 1352137 [details]
File: proc_pid_status

Comment 12 Olivier Fourdan 2017-11-15 07:36:50 UTC
Same as bug 1510078 and bug 1511681, Xwayland aborts because it lost its connection to the compositor, could you please check in the journald logs or in abortd if you see a crash of gnome-shell prior to this abort in Xwayland?

Comment 13 Olivier Fourdan 2017-11-15 07:41:41 UTC
Also, in the journactl logs, you should see a message after "failed to read Wayland events:", that would be the actual error which occurred while trying to read from the file descriptor, can you also post that as well?

Comment 14 Ioan Rogers 2017-12-11 19:47:10 UTC
Similar problem has been detected:

Running GDM on startup. Get a mouse cursor on a black screen.

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/Xwayland :1024 -rootless -terminate -core -listen 4 -listen 5 -displayfd 6
crash_function: xwl_read_events
executable:     /usr/bin/Xwayland
journald_cursor: s=c1437a6488a444a983a9ccf0d3992b47;i=3ba73;b=fbcc229de32248beb1623eac0aaea708;m=62d01d2c;t=5601561a78431;x=7883f21ece911339
kernel:         4.13.16-302.fc27.x86_64
package:        xorg-x11-server-Xwayland-1.19.5-1.fc27
reason:         Xwayland killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            42

Comment 15 Ioan Rogers 2017-12-11 19:47:14 UTC
Created attachment 1366245 [details]
File: backtrace

Comment 16 Ioan Rogers 2017-12-11 19:59:27 UTC
In my case this was caused by gnome-shell erroring out:

gnome-shell[1023]: JS ERROR: Error: Requiring NMGtk, version none: Typelib file for namespace 'NMGtk' (any version) not found
                                                           @resource:///org/gnome/shell/ui/status/network.js:11:7
                                                           AggregateMenu<._init@resource:///org/gnome/shell/ui/panel.js:705:13
                                                           wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                                           _Base.prototype._construct@resource:///org/gnome/gjs/modules/_legacy.js:18:5
                                                           Class.prototype._construct/newClass@resource:///org/gnome/gjs/modules/_legacy.js:114:32
                                                           Panel<._ensureIndicator@resource:///org/gnome/shell/ui/panel.js:1099:25
                                                           wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                                           Panel<._updateBox@resource:///org/gnome/shell/ui/panel.js:1110:29
                                                           wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                                           Panel<._updatePanel@resource:///org/gnome/shell/ui/panel.js:1021:9
                                                           wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                                           Panel<._init@resource:///org/gnome/shell/ui/panel.js:822:9
                                                           wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                                           _Base.prototype._construct@resource:///org/gnome/gjs/modules/_legacy.js:18:5
                                                           Class.prototype._construct/newClass@resource:///org/gnome/gjs/modules/_legacy.js:114:32
                                                           _initializeUI@resource:///org/gnome/shell/ui/main.js:172:13
                                                           start@resource:///org/gnome/shell/ui/main.js:126:5
                                                           @<main>:1:31
Dec 11 11:37:18 ioan-desktop.eng.sophos gnome-shell[1023]: Execution of main.js threw exception: JS_EvaluateScript() failed

A few days ago I removed some unused VPN packages, openconnect and pptp, and libnm-gtk was automatically removed as an unused dependency. So perhaps gnome-shell should depend on libnm-gtk?

Comment 17 Ioan Rogers 2017-12-11 20:30:52 UTC
(In reply to Ioan Rogers from comment #16)

> A few days ago I removed some unused VPN packages, openconnect and pptp, and
> libnm-gtk was automatically removed as an unused dependency. So perhaps
> gnome-shell should depend on libnm-gtk?

https://bugzilla.redhat.com/show_bug.cgi?id=1509496

Comment 18 rugk 2017-12-12 23:24:49 UTC
Maybe that is related to my issue Bug 1513807 ?

Comment 19 Niki Guldbrand 2018-01-12 03:25:12 UTC
Similar problem has been detected:

Had just watched 2 different videos in totem, and when quitting totem the 2nd time the desktop session crashed.

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/Xwayland :0 -rootless -terminate -core -listen 4 -listen 5 -displayfd 6
crash_function: xwl_read_events
executable:     /usr/bin/Xwayland
journald_cursor: s=81dc354256e1430099ac34c5179282f8;i=b421;b=7cdfd342a98943c6aafb78ca9a646aff;m=247d89d2b;t=5625fa3e011ec;x=e382c75d7c40b51e
kernel:         4.14.11-300.fc27.x86_64
machineid:      systemd=092b753c6a7e448686e037395a7f8228
package:        xorg-x11-server-Xwayland-1.19.6-1.fc27
reason:         Xwayland killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 20 Niki Guldbrand 2018-01-12 04:06:54 UTC
@Olivier

Just had another crash, as mentioned above, and this time i have
searched through the journal to find the info, note the issue seems
to originate in libmutter-cogl.so, after it logged some lines of "code should not be reached".

The mutter version I have here is mutter-3.26.2-2.fc27

jan 12 04:00:51 acer-1 org.gnome.Shell.desktop[10615]: libinput error: libinput bug: timer event6 debounce short: offset negative (-9774)
jan 12 04:02:19 acer-1 gnome-shell[10615]: gsignal.c:2641: instance '0x55949ccd5520' has no handler with id '1841452'
jan 12 04:12:21 acer-1 org.gnome.Shell.desktop[10615]: libinput error: libinput bug: timer event6 debounce short: offset negative (-11123)
jan 12 04:12:25 acer-1 gnome-shell[10615]: gsignal.c:2641: instance '0x5594987c42a0' has no handler with id '1849986'
jan 12 04:12:25 acer-1 gnome-shell[10615]: (cogl-pipeline.c:602):_cogl_pipeline_update_layers_cache: code should not be reached
jan 12 04:12:25 acer-1 audit[10615]: ANOM_ABEND auid=1000 uid=1000 gid=1000 ses=4 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 pid=10615 comm="gnome-shell" exe="/usr/bin/gnome-shell" sig=11 res=1
jan 12 04:12:25 acer-1 gnome-shell[10615]: (cogl-pipeline.c:602):_cogl_pipeline_update_layers_cache: code should not be reached
jan 12 04:12:25 acer-1 kernel: gnome-shell[10615]: segfault at 80 ip 00007f6e8b1755dc sp 00007fff2f789c88 error 4 in libmutter-cogl-1.so[7f6e8b131000+a8000]
jan 12 04:12:25 acer-1 gnome-shell[10615]: (cogl-pipeline.c:602):_cogl_pipeline_update_layers_cache: code should not be reached
jan 12 04:12:25 acer-1 systemd[1]: Started Process Core Dump (PID 28361/UID 0).
jan 12 04:12:25 acer-1 audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-coredump@4-28361-0 comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
jan 12 04:12:26 acer-1 org.gnome.Shell.desktop[10615]: (EE)
jan 12 04:12:26 acer-1 org.gnome.Shell.desktop[10615]: Fatal server error:
jan 12 04:12:26 acer-1 org.gnome.Shell.desktop[10615]: (EE) failed to read Wayland events: Broken pipe
jan 12 04:12:26 acer-1 org.gnome.Shell.desktop[10615]: (EE)
jan 12 04:12:26 acer-1 audit[10708]: ANOM_ABEND auid=1000 uid=1000 gid=1000 ses=4 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 pid=10708 comm="Xwayland" exe="/usr/bin/Xwayland" sig=6 res=1
jan 12 04:12:26 acer-1 gnome-session[10534]: gnome-session-binary[10534]: WARNING: Application 'org.gnome.Shell.desktop' killed by signal 11
jan 12 04:12:26 acer-1 gnome-session-binary[10534]: Unrecoverable failure in required component org.gnome.Shell.desktop
jan 12 04:12:26 acer-1 gnome-session-binary[10534]: WARNING: Application 'org.gnome.Shell.desktop' killed by signal 11

Comment 21 Niki Guldbrand 2018-01-12 04:41:46 UTC
I seem to be able to trigger this by:

1) opening a video in totem, start playback,
   jumping in the video a couple of times
2) exit totem
3) repeat number 1, with a different video
   (haven't tried with the same video for both totem runs)
4) exit totem, and the session crashes.

Note: Just a hunch/observation but jumping in the video
      may be significant here, have to test this further
      to say.

Comment 22 Olivier Fourdan 2018-01-12 07:29:57 UTC
→ Moving to mutter as "xwl_read_events() aborting" is typically the Wayland compositor crashing.

TBH, I don't think this is much useful to post "me too" comments in here as this bug is just the generic result of the Wayland compositor (gnome-shell/mutter) crashing, there's nothing Xwayland can do about it but quit.

To fix this we need to identify and fix the actual crashes that occur in gnome-shell/mutter and lead to this, so for example comment 21 looks like a totally different issue that needs to be addressed in a separate bug (possibly with a backtrace from gnome-shell, including symbols)

Comment 23 Olivier Fourdan 2018-01-12 07:41:24 UTC
Argh, all my apologies, sorry I misread comment 21, this is actually the reproducer! /me needs coffee.

Can you please try to capture a backtrace of the issue, possibly using coredumpctl:

 1. Make sure you have the relevant debuginfo packages installed.
    $ sudo dnf debuginfo-install gnome-shell

    (Note, that might install a lot of debuginfo packages...)

 2. Look for the core file generted by the crash:
    $ coredumptl list

    ...
    Fri 2018-01-12 04:12:25   10615  1000  1000  11 Present      /usr/bin/gnome-shell

 3. run gdb on the core file (hopefully it is present, it's not guaranteed unfortunately)
    $ coredumptl gdb 10615

 4. From within gdb, run a backtrace:
    (gdb) bt full

 5. Attach the full backtrace to this bug

Thanks!

Comment 24 Olivier Fourdan 2018-01-12 07:48:03 UTC
Note I don't find any reference to such an issue in gnome bugzilla and cogl is out of my area of expertise, so I might not be able to help much here.

FWIW, seems we hit the assertion at the very end of that function:

  https://git.gnome.org/browse/mutter/tree/cogl/cogl/cogl-pipeline.c#n526

Comment 25 Niki Guldbrand 2018-01-12 14:14:47 UTC
Created attachment 1380433 [details]
gnome-shell backtrace

Bactrace of the crashed gnome-shell process

Comment 26 Ben Cotton 2018-11-27 16:34:39 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 27 Ben Cotton 2018-11-30 20:29:40 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.